Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.container.services.information
Class DynamicInformationProviderImpl

    java.lang.Object
      org.jasig.portal.container.services.information.DynamicInformationProviderImpl

All Implemented Interfaces:
  org.apache.pluto.services.information.DynamicInformationProvider

    public class DynamicInformationProviderImpl

extends java.lang.Object
implements org.apache.pluto.services.information.DynamicInformationProvider

Implementation of Apache Pluto DynamicInformationProvider.

Version:
  $Revision: 1.16 $
Author:
  Michael Ivanov, mvi@immagic.com

Field Summary
`private static org.apache.pluto.services.information.StaticInformationProvider` | `staticInfoProvider`

Constructor Summary
`DynamicInformationProviderImpl()`

Method Summary
`org.apache.pluto.services.information.PortletActionProvider` | `getPortletActionProvider(org.apache.pluto.om.window.PortletWindow portletWindow)`
`javax.portlet.PortletMode` | `getPortletMode(org.apache.pluto.om.window.PortletWindow portletWindow)`
`PortletStateManager` | `getPortletStateManager(org.apache.pluto.om.window.PortletWindow portletWindow)`
`org.apache.pluto.services.information.PortletURLProvider` | `getPortletURLProvider(org.apache.pluto.om.window.PortletWindow portletWindow)`
`javax.portlet.PortletMode` | `getPreviousPortletMode(org.apache.pluto.om.window.PortletWindow portletWindow)`
`javax.portlet.WindowState` | `getPreviousWindowState(org.apache.pluto.om.window.PortletWindow portletWindow)`
`org.apache.pluto.services.information.ResourceURLProvider` | `getResourceURLProvider(org.apache.pluto.om.window.PortletWindow portletWindow)`
`java.lang.String` | `getResponseContentType()`
`java.util.Iterator` | `getResponseContentTypes()`
`javax.portlet.WindowState` | `getWindowState(org.apache.pluto.om.window.PortletWindow portletWindow)`
`boolean` | `isPortletModeAllowed(javax.portlet.PortletMode mode)`
`boolean` | `isWindowStateAllowed(javax.portlet.WindowState state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### staticInfoProvider

    private static org.apache.pluto.services.information.StaticInformationProvider staticInfoProvider

Constructor Detail

### DynamicInformationProviderImpl

    public DynamicInformationProviderImpl()

Method Detail

### getResponseContentType

    public java.lang.String getResponseContentType()

  Specified by:
    `getResponseContentType` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getResponseContentTypes

    public java.util.Iterator getResponseContentTypes()

  Specified by:
    `getResponseContentTypes` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getPortletStateManager

    public PortletStateManager getPortletStateManager(org.apache.pluto.om.window.PortletWindow portletWindow)

### getPortletURLProvider

    public org.apache.pluto.services.information.PortletURLProvider getPortletURLProvider(org.apache.pluto.om.window.PortletWindow portletWindow)

  Specified by:
    `getPortletURLProvider` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getResourceURLProvider

    public org.apache.pluto.services.information.ResourceURLProvider getResourceURLProvider(org.apache.pluto.om.window.PortletWindow portletWindow)

  Specified by:
    `getResourceURLProvider` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getPortletActionProvider

    public org.apache.pluto.services.information.PortletActionProvider getPortletActionProvider(org.apache.pluto.om.window.PortletWindow portletWindow)

  Specified by:
    `getPortletActionProvider` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getPortletMode

    public javax.portlet.PortletMode getPortletMode(org.apache.pluto.om.window.PortletWindow portletWindow)

  Specified by:
    `getPortletMode` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getPreviousPortletMode

    public javax.portlet.PortletMode getPreviousPortletMode(org.apache.pluto.om.window.PortletWindow portletWindow)

### getWindowState

    public javax.portlet.WindowState getWindowState(org.apache.pluto.om.window.PortletWindow portletWindow)

  Specified by:
    `getWindowState` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### getPreviousWindowState

    public javax.portlet.WindowState getPreviousWindowState(org.apache.pluto.om.window.PortletWindow portletWindow)

### isPortletModeAllowed

    public boolean isPortletModeAllowed(javax.portlet.PortletMode mode)

  Specified by:
    `isPortletModeAllowed` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

### isWindowStateAllowed

    public boolean isWindowStateAllowed(javax.portlet.WindowState state)

  Specified by:
    `isWindowStateAllowed` in interface `org.apache.pluto.services.information.DynamicInformationProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD